clang 10.0.0git

Classes | Namespaces | Typedefs
ASTConcept.h File Reference

This file provides AST data structures related to concepts. More...

`#include "clang/AST/Expr.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/PointerUnion.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <string>`
`#include <utility>`
Include dependency graph for ASTConcept.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::ConstraintSatisfaction
| The result of a constraint satisfaction check, containing the necessary information to diagnose an unsatisfied constraint. More...
struct | clang::ASTConstraintSatisfaction
| The result of a constraint satisfaction check, containing the necessary information to diagnose an unsatisfied constraint. More...
class | clang::ConceptReference
| Common data class for constructs that reference concepts with template arguments. More...
class | clang::TypeConstraint

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Typedefs
using | clang::UnsatisfiedConstraintRecord = std::pair< const Expr *, llvm::PointerUnion< Expr *, std::pair< SourceLocation, StringRef > * > >
| Pairs of unsatisfied atomic constraint expressions along with the substituted constraint expr, if the template arguments could be substituted into them, or a diagnostic if substitution resulted in an invalid expression. More...

## Detailed Description

This file provides AST data structures related to concepts.

Definition in file ASTConcept.h.